Coder Social home page Coder Social logo

rafi / awesome-vim-colorschemes Goto Github PK

View Code? Open in Web Editor NEW
2.6K 2.6K 171.0 1.11 MB

Collection of awesome color schemes for Neo/vim, merged for quick use.

Shell 0.13% Vim Script 99.87%
collection color-scheme colors gvim macvim neovim nvim plugins themes vim

awesome-vim-colorschemes's People

Contributors

cocopon avatar dikiaap avatar kyoz avatar rafi avatar

Stargazers

 avatar  avatar  avatar  avatar  avatar  avatar  avatar  avatar  avatar  avatar  avatar  avatar  avatar  avatar  avatar  avatar  avatar  avatar  avatar  avatar  avatar  avatar  avatar  avatar  avatar  avatar  avatar  avatar  avatar  avatar  avatar  avatar  avatar  avatar  avatar  avatar  avatar  avatar  avatar  avatar  avatar  avatar  avatar  avatar  avatar  avatar  avatar  avatar  avatar  avatar  avatar  avatar  avatar  avatar  avatar  avatar  avatar  avatar  avatar  avatar  avatar  avatar  avatar  avatar  avatar  avatar  avatar  avatar  avatar  avatar  avatar  avatar  avatar  avatar  avatar  avatar  avatar  avatar  avatar  avatar  avatar  avatar  avatar  avatar  avatar  avatar  avatar  avatar  avatar  avatar  avatar  avatar  avatar  avatar  avatar  avatar  avatar  avatar  avatar  avatar

Watchers

 avatar  avatar  avatar  avatar  avatar  avatar  avatar  avatar  avatar  avatar  avatar  avatar  avatar  avatar  avatar  avatar  avatar  avatar  avatar  avatar  avatar  avatar  avatar  avatar  avatar  avatar  avatar  avatar  avatar  avatar  avatar  avatar  avatar  avatar  avatar  avatar  avatar  avatar  avatar  avatar  avatar  avatar  avatar  avatar

awesome-vim-colorschemes's Issues

Add Sonokai

Sonokai is a seriously nice and well rounded theme. The screenshots don't even do it full justice. I'd love to see it added.

Browse by dark/light

It would be nice to be able to browse both dark and light color schemes separately. One of the easier ways would be to create two additional columns to the table of color schemes.

New colorscheme

Hello!

I've been working on a new color-scheme, it's very original and crazy good, maybe even the best one, yes, yes. It's called yawnc and it's for people that are too sleepy or bored to go out of their way and configure all the software they use, in order for them to have a consistent look.

Please add it to your beautiful list of pretty color-schemes, as it took me 15.87 months to make this.

scripts errors

hello, putting colorsthemes is ok.

but script make an error :

`👨francois@💻zaphod🐙:~/tmp/awesome-vim-colorschemes$ bash pull-updates.sh
pull-updates.sh: line 11: HOMEBREW_GITHUB_API_TOKEN: unbound variable

gzip: stdin: unexpected end of file
tar: Child returned status 1
tar: Error is not recoverable: exiting now
👨francois@💻zaphod🐙:~/tmp/awesome-vim-colorschemes$ ./pull-updates.sh
./pull-updates.sh: line 11: HOMEBREW_GITHUB_API_TOKEN: unbound variable

gzip: stdin: unexpected end of file
tar: Child returned status 1
tar: Error is not recoverable: exiting now
👨francois@💻zaphod🐙:~/tmp/awesome-vim-colorschemes$ `

seems to be missing variable assignement in pull-updates.sh

regards.

Adding "The Best Theme"

Hello everyone! I'm new to vim but I grew to love it and I now can't live without it as my code editor 😄 .
I used to use VSCode and there is a theme there called The Best Theme. I know, I think the name is cringey too. 😂 .

I was wondering if this theme could be added here. I think this plugin is amazing and I currently use the nord theme from it, but I think this theme is pretty cool and couldn't find it anywhere for vim or neovim.

Here are some screenshots of it in VSCode in a Rust file.
Screenshot from 2021-04-05 16-48-07
Screenshot from 2021-04-05 16-48-15

I would love to add a PR about this myself, but I am very new to vim so I'm not really sure where to start with making a theme.

Thank you!

Deus and gruvbox broken?

:colorscheme gruvbox and :colorscheme deus are the same thing? unless i installed it wrong, they are both appearing as the same theme for me.

i tested both and they look exactly the same
image

this above is supposed to be deus

image
and this is gruvbox....

rakr is broken

Loading it with :colorscheme rakr throws these errors:

Error detected while processing /usr/share/vim/vimfiles/colors/rakr.vim[375]..function <SNR>27_X:
line    5:
E254: Cannot allocate color #none
E254: Cannot allocate color #none
E254: Cannot allocate color #none
E254: Cannot allocate color #none
E254: Cannot allocate color #none
E254: Cannot allocate color #none
E254: Cannot allocate color #none
E254: Cannot allocate color #none
E254: Cannot allocate color #none
line    2:
E254: Cannot allocate color #none
line    5:
E254: Cannot allocate color #none
E254: Cannot allocate color #none
E254: Cannot allocate color #none
E254: Cannot allocate color #none
E254: Cannot allocate color #none
E254: Cannot allocate color #none
E254: Cannot allocate color #none
E254: Cannot allocate color #none
E254: Cannot allocate color #none
-- More --

I'm using vim-enhanced-8.2.2956-2.fc34.x86_64.

Add script for quick overview

Hi, thanks for collecting all this stuff together. Selecting a colorscheme normally involves going over all contents of the colors directory and checking how schemes look on particular system. It would be nice to have this automated via script e.g. like the one below.

#!/bin/sh

set -euo pipefail
#set -x

if [ $(basename $PWD) != 'awesome-vim-colorschemes' ]; then
  echo >&2 'You must run me inside awesome-vim-colorschemes repo'
  exit 1
fi

example=$(mktemp).cpp
trap "rm -f $example" EXIT

schemes=$(find colors -name \*.vim | xargs -n1 basename | sed 's/\.vim//g')

for s in $schemes; do
  cat > $example <<EOF
// Colorscheme "$s".
// To stop iteration, add ABORT anywhere below and save file.

#include <stdio.h>

namespace XYZ {

static int x = 1;

struct A {
  int x;
  int y;
  void a() const { return x + y; }
};

int main() {
  A var;
  printf("Hello world!\n");
  return 0;
}

}  // XYZ
EOF
  vim +':syntax on' +":set runtimepath+=$PWD" +":colo $s" $example
  if [ $(grep ABORT $example | grep -v 'add ABORT anywhere' | wc -l) -gt 0 ]; then
    echo 'Aborting per user request...'
    break
  fi
done

Feel free to close if not relevant.

3 Broken Links

The following links are broken:

In README.md on line 87, link: https://github.com/nightsense/carbonized
In README.md on line 114, link: https://github.com/co1ncidence/mountaineer
In README.md on line 145, link: https://github.com/nightsense/vimspectr

Consider Oceanic Material

Oceanic Material seems worth a look. I gave it a try with a few languages and didn't find any issues. Totally up to you though, I understand not every theme can be included.

p.s. Unless I'm mistaken, sainnhe/sonokai should be just sonokai in the table in your README.md.

License question

License is unclear, could you add license file please? Also some themes under MIT license but some of them without with unclear license.

Guidelines for a scheme that can be added

Are there any guidelines or requirements for a color scheme to be added to this repo?
I have recently built one: pleasant can i raise a PR to add it or does it need more popularity?

In general a note on this in README would be helpful

Recommend Projects

  • React photo React

    A declarative, efficient, and flexible JavaScript library for building user interfaces.

  • Vue.js photo Vue.js

    🖖 Vue.js is a progressive, incrementally-adoptable JavaScript framework for building UI on the web.

  • Typescript photo Typescript

    TypeScript is a superset of JavaScript that compiles to clean JavaScript output.

  • TensorFlow photo TensorFlow

    An Open Source Machine Learning Framework for Everyone

  • Django photo Django

    The Web framework for perfectionists with deadlines.

  • D3 photo D3

    Bring data to life with SVG, Canvas and HTML. 📊📈🎉

Recommend Topics

  • javascript

    JavaScript (JS) is a lightweight interpreted programming language with first-class functions.

  • web

    Some thing interesting about web. New door for the world.

  • server

    A server is a program made to process requests and deliver data to clients.

  • Machine learning

    Machine learning is a way of modeling and interpreting data that allows a piece of software to respond intelligently.

  • Game

    Some thing interesting about game, make everyone happy.

Recommend Org

  • Facebook photo Facebook

    We are working to build community through open source technology. NB: members must have two-factor auth.

  • Microsoft photo Microsoft

    Open source projects and samples from Microsoft.

  • Google photo Google

    Google ❤️ Open Source for everyone.

  • D3 photo D3

    Data-Driven Documents codes.